Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231083 - Review Request: perl-Module-Compile - Perl Module Compilation
Summary: Review Request: perl-Module-Compile - Perl Module Compilation
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-06 00:29 UTC by Steven Pritchard
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-13 16:04:32 UTC
panemade: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)

Description Steven Pritchard 2007-03-06 00:29:50 UTC
Spec URL: http://ftp.kspei.com/pub/steve/rpms/perl-Module-Compile/perl-Module-Compile.spec
SRPM URL: http://ftp.kspei.com/pub/steve/rpms/perl-Module-Compile-0.20-1.src.rpm
Description:
This module provides a system for writing modules that compile other
Perl modules.

Comment 1 Parag AN(पराग) 2007-03-06 11:13:45 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
31e30f3f3c87fe5b0124b6bcc4059cd2  Module-Compile-0.20.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.  
+ License text is included in package.
+ %doc is small and no need to have -doc package
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'inc', 'blib/lib', 'blib/arch')" t/*.t
t/compile........ok
t/data1..........ok
t/data2..........ok
t/fold_blocks....ok
t/lexical........ok
t/orz............ok
t/parse..........ok
t/pmc............ok
All tests successful.
Files=8, Tests=25,  1 wallclock secs ( 0.66 cusr +  0.11 csys =  0.77 CPU)

APPROVED.

Comment 2 Steven Pritchard 2007-03-06 17:07:48 UTC
New Package CVS Request
=======================
Package Name: perl-Module-Compile
Short Description: Perl Module Compilation
Owners: steve@silug.org
Branches: FC-5 FC-6
InitialCC: fedora-perl-devel-list@redhat.com

Comment 3 Dennis Gilmore 2007-03-09 02:23:24 UTC
branched

Comment 4 Steven Pritchard 2007-03-13 16:04:32 UTC
Imported and built.  Thanks.


Note You need to log in before you can comment on or make changes to this bug.